Bug 484505 - forcedeth: 2.6.29 killed the onboard NVidia ethernet
forcedeth: 2.6.29 killed the onboard NVidia ethernet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-02-07 10:43 EST by Uri Sivan
Modified: 2009-05-28 17:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-13 17:13:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 13072 None None None Never

  None (edit)
Description Uri Sivan 2009-02-07 10:43:07 EST
After booting once into Fedora 11 alpha and rebooting normally half an hour later, the onboard NVidia ethernet (MCP51) stopped having a link permanently, regardless of OS. Rebooting and disconnecting the cable did not help. Re-flashing the BIOS fixed it.

This might be a problem in the 2.6.29 kernel. I found one similar occurrence:
http://lkml.org/lkml/2009/1/11/302

Points of notice:
1. Network seemed to work fine while in Fedora 11 alpha, only stopped working after reboot.
2. Board is Asus M2NPV-VM, lshal shows:

udi = '/org/freedesktop/Hal/devices/pci_10de_269'
  info.linux.driver = 'forcedeth'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'MCP51 Ethernet Controller'  (string)
  info.subsystem = 'pci'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_10de_269'  (string)
  info.vendor = 'nVidia Corporation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'pci'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:14.0'  (string)
  pci.device_class = 6  (0x6)  (int)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 128  (0x80)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:14.0'  (string)
  pci.product = 'MCP51 Ethernet Controller'  (string)
  pci.product_id = 617  (0x269)  (int)
  pci.subsys_product_id = 33130  (0x816a)  (int)
  pci.subsys_vendor = 'ASUSTeK Computer Inc.'  (string)
  pci.subsys_vendor_id = 4163  (0x1043)  (int)
  pci.vendor = 'nVidia Corporation'  (string)
  pci.vendor_id = 4318  (0x10de)  (int)
Comment 1 Phil 2009-04-01 17:42:00 EDT
I had a similar experience last night when attempting an install of F11 Beta.  I was in gfx mode and anaconda crashed, NetworkManager tried to start eth1 and hung completely.  2 minutes earlier I had done "ifconfig eth0 192.168.0.10/24 up" and forgot that when i told NWMan to start eth0.  I did a warm reboot and a second go at the installation, the same crash happened, I tried to send a bug report and there were no link lights, even after reconnecting the cable to either NIC (dual onboard nvidia gig's) - i couldn't even manually assign an IP addr to the IF.  after doing a cold reboot, cutting the power and booting, the NIC's seemed to be back online.  It sounds like a firmware related issue...
Comment 2 Nils Philippsen 2009-04-03 06:16:47 EDT
Similar here, after using the Fedora 11 Beta Live medium for Radeon test day (2009-04-01). Ironically, ethtool showed a link when I booted into the Live medium again FWIW, but not on the F-10 which usually runs on the machine. Reflashing the BIOS de-bricked the NIC again, fortunately.
Comment 3 Kyle McMartin 2009-05-11 12:54:25 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=1348127

Please try this build when it completes and see if your NIC continues to be bricked?

regards, Kyle
Comment 4 Edouard Bourguignon 2009-05-13 16:30:57 EDT
my NIC is not anymore bricked with kernel 2.6.29.3-140, now it's my video card :( bug #500728
Comment 5 Chuck Ebbert 2009-05-28 17:10:38 EDT
(In reply to comment #5)
> After booting once into Fedora 11 alpha and rebooting normally half an hour
> later, the onboard NVidia ethernet (MCP51) stopped having a link permanently,
> regardless of OS. Rebooting and disconnecting the cable did not help.
> Re-flashing the BIOS fixed it.
> 

When you say "regardless of OS," do you mean Windows fails to establish a link too?
Comment 6 Uri Sivan 2009-05-28 17:22:13 EDT
(In reply to comment #5)
> When you say "regardless of OS," do you mean Windows fails to establish a link
> too?  

Yes. There was no link in Fedora 10, which has always worked, in Fedora 11 alpha itself, or in Windows.
Comment 7 Kyle McMartin 2009-05-28 17:23:04 EDT
Chuck, looking at the posts at lkml on this issue, this does indeed seem to be the case.

Note You need to log in before you can comment on or make changes to this bug.